TJD3(1)

NAME
tjd3 - the TaskJuggler daemon

SYNOPSIS
tj3d [options] [<tjp file> [<tji file> ...] ...]

DESCRIPTION
The TaskJuggler daemon can be used to quickly generate reports for a number of scheduled projects that are resident in memory. Once the daemon has been started tj3client can be used to control it.

OPTIONS

-c, --config <FILE>
    Use the specified YAML configuration file

--silent
    Don't show program and progress information

--no-color
    Don't use ANSI contol sequences to color the terminal output. Colors should only be used when spooling to an ANSI terminal. In case the detection fails, you can use this option to force colors to be off.

--debug
    Enable Ruby debug mode

-d, --dont-daemonize
    Don't put program into daemon mode. Keep it connected to the terminal and show debug output.

-p, --port <NUMBER>
    Use the specified TCP/IP port to serve tj3client requests (Default: 8474).

--logfile <FILE NAME>
    Log daemon messages to the specified file.

--urifile <FILE NAME>
    If the port is 0, use this file to store the URI of the server.

-w, --webserver
    Start a web server that serves the reports of the loaded projects.

--webserver-port <NUMBER>
    Use the specified TCP/IP port to serve web browser requests (Default: 8080).

-h, --help
    Show this message

--version
    Show version info

SECURITY
The author advises: "the daemon has not received any kind of security review ... only use the daemon in a trusted environment with only trusted users!"

ENVIRONMENT

HOME
    The user's home folder. Used to search for configuration file if not specified.

FILES

.taskjugglerrc or taskjuggler.rc
    tj3d searches for a config file named .taskjugglerrc or taskjuggler.rc in the current path, the user's home path as specified by the HOME environment variable or /etc/. At a minimum the file must contain:

    _global:
      authKey: ********

    (the user should specify their own auth key and set file permissions accordingly). An alternative config file location may be specified using the -c, --config FILE option.

tj3d.log

    The tj3d log file, created in the working directory. Location can be overridden using the --logfile FILE option.

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020

    by Chris Schlaeger <cs@taskjuggler.org>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation.

For more info about TaskJuggler see http://www.taskjuggler.org

SEE ALSO
tj3client(1)

The full TaskJuggler manual is available online at http://www.taskjuggler.org/tj3/manual/, or via the tj3man command.